# -*- coding: utf-8 -*-

#!/usr/bin/python
import sys
import argparse


class CLI:
    def __init__(self, command):
        # use dispatch pattern to invoke method with same name
        getattr(self, command)()
        
    def devices(self):
        parser = argparse.ArgumentParser(
            description='Analyzable devices')
        
        parser.add_argument("-m","--muse",nargs='*',
                            default=False,
                            help="Muse device.")

            
        parser.add_argument("-P", "--pupil", nargs='*', default=False,
                            help="Pupil device.")
        parser.add_argument("-p", "--ppg",nargs='*',
                            default=False, help="Include PPG data")
        parser.add_argument("-c", "--acc",nargs='*',
                            default=False, help="Include accelerometer data")
        parser.add_argument("-g", "--gyro",
                            default=False, nargs='*', help="Include gyroscope data")
        args = parser.parse_args(sys.argv[4:])
        from __main__ import analyze
        for arg in vars(args):
            if getattr(args, arg)==[]:
                setattr(args, arg,'all')
        
        analyze(args.muse, args.pupil, args.ppg, args.acc, args.gyro)
